com.ihr.xbrl.pojo.user

## Class FriendlyConceptName

- java.lang.Object
- - com.ihr.xbrl.pojo.user.FriendlyConceptName

-     public class FriendlyConceptName
      extends java.lang.Object

  The Class FriendlyConceptName.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FriendlyConceptName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getConceptId()` Gets the concept id.
    `java.lang.String` | `getFriendlyName()` Gets the friendly name.
    `java.lang.Long` | `getId()` Gets the id.
    `void` | `setConceptId(java.lang.Long conceptId)` Sets the concept id.
    `void` | `setFriendlyName(java.lang.String friendlyName)` Sets the friendly name.
    `void` | `setId(java.lang.Long id)` Sets the id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FriendlyConceptName

          public FriendlyConceptName()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getFriendlyName

          public java.lang.String getFriendlyName()

      Gets the friendly name.
      Returns:
        the friendlyName

    - #### setFriendlyName

          public void setFriendlyName(java.lang.String friendlyName)

      Sets the friendly name.
      Parameters:
        `friendlyName` - the friendlyName to set

    - #### getConceptId

          public java.lang.Long getConceptId()

      Gets the concept id.
      Returns:
        the conceptId

    - #### setConceptId

          public void setConceptId(java.lang.Long conceptId)

      Sets the concept id.
      Parameters:
        `conceptId` - the conceptId to set